Page MenuHomePhabricator

[Task] Create a new media info entity type
Closed, ResolvedPublic

Description

We need a new entity type for storing structured data about media files.

From the story time meeting on 2016-02-23:

  • It does only have short caption, long caption and full featured statements.
  • No uniqueness constraints needed for labels and descriptions.
  • Missing references should be less prominent in the UI.

Open questions:

  • Which additional datatypes will be needed (e.g. multilingual; second-precision; smart-uri)
  • Further investigation of long caption (ALT-texts, etc..) and its format (wikitext, including templates etc..) needed.
  • How to represent legends?

Related Objects

Event Timeline

Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher updated the task description. (Show Details)
Bene added a subscriber: Bene.Feb 4 2016, 3:40 PM
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Feb 13 2016, 5:33 PM
Jheald added a subscriber: Jheald.Feb 16 2016, 4:22 PM
Tobi_WMDE_SW updated the task description. (Show Details)Feb 23 2016, 1:47 PM

Change 274768 had a related patch set uploaded (by Bene):
Create a new media info entity type

https://gerrit.wikimedia.org/r/274768

Bene claimed this task.Mar 3 2016, 6:29 PM
Bene moved this task from Backlog to Review on the Wikidata-Sprint-2016-03-01 board.

Change 274768 merged by jenkins-bot:
Create a new media info entity type

https://gerrit.wikimedia.org/r/274768

Bene closed this task as Resolved.Mar 7 2016, 11:07 PM
Bene moved this task from Review to Done on the Wikidata-Sprint-2016-03-01 board.